Xerces-C++ 3.3.0

List of all members
XMLInitializer Class Reference

Utilities that must be implemented in a class-specific way. More...

`#include <xercesc/util/XMLInitializer.hpp>`

## Initialization methods
class | XMLPlatformUtils
static void | initializeTransService ()
| Perform per-class allocationa and initialization of static data.
static void | initializeStaticData ()
static void | terminateStaticData ()
| Perform per-class release of static data.
static void | terminateTransService ()

## Detailed Description

Utilities that must be implemented in a class-specific way.

This class contains methods that must be implemented by different classes that have static data (class or local) that they need to initialize when XMLPlatformUtils::Initialize is invoked.

## Member Function Documentation

## ◆ initializeStaticData()

static void XMLInitializer::initializeStaticData | ( |  | ) |
| static protected

## ◆ initializeTransService()

static void XMLInitializer::initializeTransService | ( |  | ) |
| static protected

Perform per-class allocationa and initialization of static data.

These functions should be called from XMLPlatformUtils::Initialize.

## ◆ terminateStaticData()

static void XMLInitializer::terminateStaticData | ( |  | ) |
| static protected

Perform per-class release of static data.

These functions should be called from XMLPlatformUtils::Terminate.

## ◆ terminateTransService()

static void XMLInitializer::terminateTransService | ( |  | ) |
| static protected

## Friends And Related Symbol Documentation

## ◆ XMLPlatformUtils

friend class XMLPlatformUtils
| friend

The documentation for this class was generated from the following file:

- XMLInitializer.hpp